GLS ShipIT 5.0.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnOptions Class Reference

## Public Member Functions
Boolean | isReturnPrintData ()
void | setReturnPrintData (Boolean value)
Boolean | isReturnRoutingInfo ()
void | setReturnRoutingInfo (Boolean value)

## Protected Attributes
Boolean | returnPrintData
Boolean | returnRoutingInfo

## Detailed Description

Data to specify if PrintData and/or RoutingInfo should be returned in the response

Java class for ReturnOptions complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ReturnOptions">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <choice>
            <element name="ReturnPrintData" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ReturnPrintData" minOccurs="0"/>
            <element name="ReturnRoutingInfo" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ReturnRoutingInfo" minOccurs="0"/>
          </choice>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 39 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnOptions.java.

## Member Function Documentation

## ◆ isReturnPrintData()

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnOptions.isReturnPrintData | ( |  | ) |

Gets the value of the returnPrintData property.

Returns
  possible object is Boolean

Definition at line 54 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnOptions.java.

## ◆ isReturnRoutingInfo()

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnOptions.isReturnRoutingInfo | ( |  | ) |

Gets the value of the returnRoutingInfo property.

Returns
  possible object is Boolean

Definition at line 78 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnOptions.java.

## ◆ setReturnPrintData()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnOptions.setReturnPrintData | ( | Boolean | value | ) |

Sets the value of the returnPrintData property.

Parameters

  value | allowed object is Boolean

Definition at line 66 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnOptions.java.

## ◆ setReturnRoutingInfo()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnOptions.setReturnRoutingInfo | ( | Boolean | value | ) |

Sets the value of the returnRoutingInfo property.

Parameters

  value | allowed object is Boolean

Definition at line 90 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnOptions.java.

## Member Data Documentation

## ◆ returnPrintData

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnOptions.returnPrintData
| protected

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnOptions.java.

## ◆ returnRoutingInfo

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnOptions.returnRoutingInfo
| protected

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnOptions.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnOptions.java